using ldap_cesi.Repository.Services;
using ldap_cesi.Services.Interfaces;
using ldap_cesi.Entities;
using ldap_cesi.DTOs;
using ldap_cesi.DTOs.Inputs.Role;
using AutoMapper;

namespace ldap_cesi.Services;

public class RoleService : ServiceBase<Role, RoleDto, RoleCreateDto, RoleUpdateDto>,IRoleService
{
    public RoleService(IRepositoryRole repositoryRole, IMapper mapper, ILogger<RoleService> logger)
        : base(repositoryRole, mapper, logger)
    {
    }
}